Bug 103474 - xfs crashes when loading specific html with hebrew font inside
xfs crashes when loading specific html with hebrew font inside
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
http://mbone.petra.ac.id/mypages/icht...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-31 14:48 EDT by Lewi
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-18 19:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lewi 2003-08-31 14:48:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; ICHTUS; Linux i686) Gecko/20030703 Galeon/1.3.7

Description of problem:
when I loading some html files
(file in http://mbone.petra.ac.id/mypages/ichtus/hebrew-test1.html)
that have hebrew fonts
(I copied from gnomesword) with 
MozillaFirebird-0.6 from http://www.mozilla.org/products/firebird/
http://ftp36.newaol.com/pub/firebird/releases/0.6/MozillaFirebird-0.6-i686-pc-linux-gnu.tar.gz

cause xfs crash with error in my ~/.xsession-errors:

------
SESSION_MANAGER=local/lewi.org:/tmp/.ICE-unix/3560
Gdk-ERROR **: BadValue (integer parameter out of range for operation)
  serial 18725 error_code 2 request_code 75 minor_code 0
                                                                                
Gtk-ERROR **: Unable to load default font.
aborting...
/usr/local/MozillaFirebird/run-mozilla.sh: line 454:  3793 Killed
   "$prog" ${1+"$@"}
Gdk-ERROR **: BadValue (integer parameter out of range for operation)
  serial 14042 error_code 2 request_code 75 minor_code 0
Gdk-ERROR **: BadValue (integer parameter out of range for operation)
  serial 14050 error_code 2 request_code 75 minor_code 0
------

I noticed this only happen in firebird, I try to load page in galeon-1.3.7 en
mozilla-1.4-11(from rawhide) opened well


Version-Release number of selected component (if applicable):
XFree86-xfs-4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1.load file from url above
2.wil take some time
3.and watch that xfs daemon died
    

Actual Results:  xfs crashed

Expected Results:  xfs should not crashed by user, right?

Additional info:
Comment 2 Mike A. Harris 2003-12-18 19:53:10 EST
Please upgrade to the latest erratum release of XFree86-4.3.0-2.90.43
which contains many fixes to libXfont which fix various security
problems as well as problems which could result in SEGV.

Closing bug as fixed in ERRATA 4.3.0-2.90.43.  If the problem persists
after upgrading, and rebooting the system, please reopen.

Note You need to log in before you can comment on or make changes to this bug.